%define major 0
Name: pg2plplot
Summary: Plot software
Version: 0.3.0
Release: %mkrel 6
License: GPLv3+
Group: Development/C
Source0: http://sourceforge.net/projects/pg2plplot/files/pg2plplot-%{version}.tar.gz
Patch0: pg2plplot-0.3.0-mga-cmake-link-fix.patch
Patch1: pg2plplot-0.3.0-mga-plwid-fix.patch

URL: http://pg2plplot.sourceforge.net/
BuildRequires: plplot-devel
BuildRequires: cmake

%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

%description
PG2PLplot is code intended to help the transition from Fortran code
linked against PGPlot to linking it against PLplot.

%package -n %libname
Summary: Shared library for Nugrid SE
Group: Development/C
Provides: pg2plplot = %{version}

%description -n %libname
PG2PLplot is code intended to help the transition from Fortran code
linked against PGPlot to linking it against PLplot.

%package -n %libname_devel
Summary: The header files and the static library for pg2plplot
Group: Development/C
Requires: %libname = %{version}
Provides: pg2plplot-devel = %{version}

%description -n %libname_devel
PG2PLplot is code intended to help the transition from Fortran code linked against PGPlot to linking it against PLplot.

%prep
%setup -q
%apply_patches

%build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
-DCMAKE_BUILD_TYPE=RelWithDebInfo 
%make PG2PLplot_shared

%install
cd build
DESTDIR=%{buildroot} cmake -P cmake_install.cmake

%files -n %libname
%{_libdir}/*.so
%{_datadir}/PG2PLplot/rgb.txt

%files -n %libname_devel
%{_includedir}/PG2PLplot/pg2plplot.mod



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-6.mga5
+ Revision: 743320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 687073
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 eatdirt <eatdirt> 0.3.0-4.mga5
+ Revision: 596748
- Rebuild for new plplot

* Mon Oct 21 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 538757
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 0.3.0-2.mga4
+ Revision: 490369
- fix plwid -> plwidth
- rebuild with new plplot

* Thu Jul 25 2013 joequant <joequant> 0.3.0-1.mga4
+ Revision: 457967
- update to 0.3.0
- fix bad behavior if pngcairo is input as device
- use the same /usr/share file conventions as upstream
- imported package pg2plplot

